REST API should return attachment's id in addition to token

2016-08-11 01:34 - Alex Last

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Associated revisions

Revision 15762 - 2016-08-30 23:15 - Jean-Philippe Lang

Return attachment id in api response to attachment upload (#23566).

Patch by Jan Schulz-Hofen.

History

#1 - 2016-08-11 08:39 - Jan from Planio www.plan.io

The first part (before the .) of the token is in fact the ID.

#2 - 2016-08-11 17:42 - Alex Last

Than you, Jan! this is useful to know. it is hard to predict though if that is something that we could rely on going forward. it may be just some internal

implementation detail rather than documented API.

if I parse id from the token, this may break for the next redmine version - non-starter for the Java library because I can't support separate versions for

each Redmine version.

#3 - 2016-08-15 11:56 - Jan from Planio www.plan.io

- File 0001-return-attachment-id-in-api-response-to-attachment-u.patch added

- Status changed from New to Resolved

- Target version set to Candidate for next minor release

Alex Last wrote:

Than you, Jan! this is useful to know. it is hard to predict though if that is something that we could rely on going forward. it may be just some

internal implementation detail rather than documented API.

if I parse id from the token, this may break for the next redmine version - non-starter for the Java library because I can't support separate

versions for each Redmine version.

 I agree. Luckily, it's not hard to return the ID as well, so the attached patch implements this. We've added this to the Redmine API at Planio straight

away and hopefully this patch can be included in Redmine as well in a next minor release.

#4 - 2016-08-18 10:20 - Go MAEDA

- Status changed from Resolved to New

- Target version changed from Candidate for next minor release to 3.4.0

Thanks for submitting the patch, Jan.

I think this should be implemented in Redmine core. I am setting target version to 3.4.0.

#5 - 2016-08-30 23:15 - Jean-Philippe Lang

- Subject changed from "upload attachment" should return attachment's database id in addition to token because "delete" operation operates on id

only to REST API should return attachment's id in addition to token

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
- Resolution set to Fixed

Patch committed, thanks.

Files

0001-return-attachment-id-in-api-response-to-attachment-u.patch 1.44 KB 2016-08-15 Jan from Planio www.plan.io

Powered by TCPDF (www.tcpdf.org)

2025-07-03 2/2

http://www.tcpdf.org

